Page MenuHomePhabricator

clang-format-vsix: add a date stamp to the VSIX version number to ensure upgradability
ClosedPublic

Authored by amaiorano on Dec 5 2016, 5:38 PM.

Details

Summary

Presently, the version number of the VSIX matches the LLVM version number. However, as this number doesn't change often, it means that as we release new versions of this VSIX, it will have the same version number, which means users must first uninstall the old version before installing the new one. With this change, we generate a 4th part to the version number that is a date stamp (year, month, day); for example: 4.0.0.161203.

Diff Detail

Repository
rL LLVM

Event Timeline

amaiorano updated this revision to Diff 80357.Dec 5 2016, 5:38 PM
amaiorano retitled this revision from to clang-format-vsix: add a date stamp to the VSIX version number to ensure upgradability.
amaiorano updated this object.
amaiorano added reviewers: klimek, hans, zturner.
amaiorano added a subscriber: cfe-commits.
hans accepted this revision.Dec 5 2016, 7:50 PM
hans edited edge metadata.

When building the snapshots and releases, I usually put the SVN revision number in there to avoid this same problem: http://llvm-cs.pcc.me.uk/utils/release/build_llvm_package.bat#25

Your patch seems like a good default though. Should we put the hour and minute in there as well, in case one builds multiple versions the same day?

This revision is now accepted and ready to land.Dec 5 2016, 7:50 PM
In D27438#614219, @hans wrote:

When building the snapshots and releases, I usually put the SVN revision number in there to avoid this same problem: http://llvm-cs.pcc.me.uk/utils/release/build_llvm_package.bat#25

Ah, right, I was wondering how that worked. Well, if you don't think it's necessary, we don't have to do it. I didn't realize we had this script to build the official VSIX. Do you think you'd switch to using this method? Or would you prefer that the official releases be bound to the SVN rev number?

Your patch seems like a good default though. Should we put the hour and minute in there as well, in case one builds multiple versions the same day?

If you still want this change, I can definitely add the hour and minute. Let me know!

hans added a comment.Dec 6 2016, 11:43 AM
In D27438#614219, @hans wrote:

When building the snapshots and releases, I usually put the SVN revision number in there to avoid this same problem: http://llvm-cs.pcc.me.uk/utils/release/build_llvm_package.bat#25

Ah, right, I was wondering how that worked. Well, if you don't think it's necessary, we don't have to do it. I didn't realize we had this script to build the official VSIX. Do you think you'd switch to using this method? Or would you prefer that the official releases be bound to the SVN rev number?

I'd prefer to keep the official releases on the SVN rev.

Your patch seems like a good default though. Should we put the hour and minute in there as well, in case one builds multiple versions the same day?

If you still want this change, I can definitely add the hour and minute. Let me know!

Yes, I think this is still a worthwhile change. Let's add the hour and minute and get it landed.

amaiorano updated this revision to Diff 80527.Dec 6 2016, 6:29 PM
amaiorano edited edge metadata.

Added hour and minute.

Yes, I think this is still a worthwhile change. Let's add the hour and minute and get it landed.

Alright, added hour and minute. How do we land this change? Is this something I can now do myself? Or would you need to commit this for me again?

I have a couple of more interesting changes coming. Perhaps it would make sense to grant me commit rights?

hans added a comment.Dec 7 2016, 9:00 AM

Yes, I think this is still a worthwhile change. Let's add the hour and minute and get it landed.

Alright, added hour and minute. How do we land this change? Is this something I can now do myself? Or would you need to commit this for me again?

I have a couple of more interesting changes coming. Perhaps it would make sense to grant me commit rights?

It's worth a shot :-) Follow the instructions at http://llvm.org/docs/DeveloperPolicy.html#obtaining-commit-access to ask Chris for commit access.

This revision was automatically updated to reflect the committed changes.